from pydantic import BaseModel

class StardewSaveData(BaseModel):
    farmer: str
    money: int
    played: int
    save_time: int
    year: int
    season: int
    day: int
    game_version: str

class StardewSave(BaseModel):
    id: int
    device: str
    date: int
    data: StardewSaveData

class StardewSaveBrief(BaseModel):
    id: int
    farmer: str